local DisplacedEnergyWatcher = DisplacedEnergyWatcher
if not DisplacedEnergyWatcher then return end
local DisplacedEnergyWatcherLocale = DisplacedEnergyWatcherLocale
if not DisplacedEnergyWatcherLocale then return end

-----------------------------------------------------------------------------

local L = DisplacedEnergyWatcherLocale.DisplacedEnergyWatcher
if not L then return end

local N = L["DisplacedEnergyWatcher"] .. "-" .. DisplacedEnergyWatcher.version

-----------------------------------------------------------------------------

DisplacedEnergyWatcher.Options =
{
	handler = DisplacedEnergyWatcher,
	type = 'group',
	order = 0,
	name = N,
	args =
	{
		enable =
		{
			type = 'toggle',
			width = "full",
			name = L["Enable"],
			desc = L["Enable DisplacedEnergyWatcher"],
			get = function(i) return DisplacedEnergyWatcher.db.profile.enable end,
			set = function(i, v) DisplacedEnergyWatcher.db.profile.enable = v DisplacedEnergyWatcher:Update() end,
			order = 1,
		},
		warnAfflict =
		{
			type = 'toggle',
			width = "full",
			name = L["Displaced Energy Affliction"],
			desc = L["Warn about Displaced Energy debuff affliction"],
			disabled = function(i) return not DisplacedEnergyWatcher.db.profile.enable end,
			get = function(i) return DisplacedEnergyWatcher.db.profile.warnAfflict end,
			set = function(i, v) DisplacedEnergyWatcher.db.profile.warnAfflict = v end,
			order = 10,
		},
		warnDamage =
		{
			type = 'toggle',
			width = "full",
			name = L["Displaced Energy Damage"],
			desc = L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"],
			disabled = function(i) return not DisplacedEnergyWatcher.db.profile.enable end,
			get = function(i) return DisplacedEnergyWatcher.db.profile.warnDamage end,
			set = function(i, v) DisplacedEnergyWatcher.db.profile.warnDamage = v end,
			order = 11,
		},
		warnDispel =
		{
			type = 'toggle',
			width = "full",
			name = L["Displaced Energy Dispels"],
			desc = L["Warn about Displaced Energy debuff dispels too close to the raid"],
			disabled = function(i) return not DisplacedEnergyWatcher.db.profile.enable end,
			get = function(i) return DisplacedEnergyWatcher.db.profile.warnDispel end,
			set = function(i, v) DisplacedEnergyWatcher.db.profile.warnDispel = v end,
			order = 12,
		},
		whisper =
		{
			type = 'toggle',
			width = "full",
			name = L["Whisper Offending Player"],
			desc = L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"],
			disabled = function(i) return not DisplacedEnergyWatcher.db.profile.enable end,
			get = function(i) return DisplacedEnergyWatcher.db.profile.whisper end,
			set = function(i, v) DisplacedEnergyWatcher.db.profile.whisper = v end,
			order = 99,
		},
		chatFrame =
		{
			type = 'select',
			width = 'full',
			name = L["Chat Frame"],
			desc = L["Also send to the specified chat frame"],
			disabled = function(i) return not DisplacedEnergyWatcher.db.profile.enable or DisplacedEnergyWatcher.db.profile.sink20OutputSink == "ChatFrame" end,
			get = function(i) return DisplacedEnergyWatcher.db.profile.chatFrame end,
			set = function(i, value) DisplacedEnergyWatcher.db.profile.chatFrame = value end,
			values = { ["None"] = L["None"], ["ChatFrame1"] = L["ChatFrame1"], ["ChatFrame2"] = L["ChatFrame2"], ["ChatFrame3"] = L["ChatFrame3"], ["ChatFrame4"] = L["ChatFrame4"], ["ChatFrame5"] = L["ChatFrame5"], ["ChatFrame6"] = L["ChatFrame6"], ["ChatFrame7"] = L["ChatFrame7"], },
		},
	},
}

-----------------------------------------------------------------------------
